System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType To be added

Defines a structure that holds the raw data for a performance counter.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Use this constructor to take an initial sample of the performance counter. The System Monitor supplies values for these parameters automatically when you call the method for the first time.

  Initializes a new instance of the structure and sets the property to 0 (zero).

  The numeric value associated with the performance counter sample.
  An optional, base raw value for the counter, to use only if the sample is based on multiple counters.
  The frequency with which the counter is read.
  The frequency with which the system reads from the counter.
  The raw time stamp.
  The raw, high-fidelity time stamp.
  A object that indicates the type of the counter for which this sample is a snapshot.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Use this constructor to take samples after you have already taken an initial sample of the performance counter. The System Monitor supplies values for these parameters automatically when you call the method.

  Initializes a new instance of the structure and sets the property to the value that is passed in.

  The numeric value associated with the performance counter sample.
  An optional, base raw value for the counter, to use only if the sample is based on multiple counters.
  The frequency with which the counter is read.
  The frequency with which the system reads from the counter.
  The raw time stamp.
  The raw, high-fidelity time stamp.
  A object that indicates the type of the counter for which this sample is a snapshot.
  The time at which the sample was taken.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 To be added: an object of type 'long' To be added

  Gets an optional, base raw value for the counter.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Single `` To be added

  Calculates the performance data of the counter, using a single sample point. This method is generally used for uncalculated performance counter types.

  The calculated performance value.

  The structure to use as a base point for calculating performance data.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Single `` `` To be added

  Calculates the performance data of the counter, using two sample points. This method is generally used for calculated performance counter types, such as averages.

  The calculated performance value.

  The structure to use as a base point for calculating performance data. The structure to use as an ending point for calculating performance data.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 To be added: an object of type 'long' To be added

  Gets the raw counter frequency.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 To be added: an object of type 'long' To be added

  Gets the counter's time stamp.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.PerformanceCounterType To be added: an object of type 'PerformanceCounterType' To be added

  Gets the performance counter type.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.CounterSample To be added

  Defines an empty, uninitialized performance counter sample of type NumberOfItems32.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Two structures are equal if they have identical property values.

  Indicates whether the specified structure is equal to the current structure.

  true if is equal to the current instance; otherwise, false.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Two structures are equal if they have identical property values.

  Indicates whether the specified structure is a structure and is identical to the current structure.

  true if is a structure and is identical to the current instance; otherwise, false.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Gets a hash code for the current counter sample.

  A hash code for the current counter sample.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added.

  Two structures are equal if they have identical property values.

  Returns a value that indicates whether two structures are equal.

  true if and are equal; otherwise, false.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added.

  Two structures are not equal if any of their property values are different.

  Returns a value that indicates whether two structures are not equal.

  true if and are not equal; otherwise, false

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 To be added: an object of type 'long' To be added

  Gets the raw value of the counter.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 To be added: an object of type 'long' To be added

  Gets the raw system frequency.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 To be added: an object of type 'long' To be added

  Gets the raw time stamp.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 To be added: an object of type 'long' To be added

  Gets the raw, high-fidelity time stamp.